Skip to navigation

Update Job Attempt Status Details

View as Markdown
Update status details for one resolved attempt.

Path parameters

jobstringRequired
attemptstringRequired
workspacestringRequired

Query parameters

expected_step_idstringOptional
Update only while this step is in this attempt and the attempt is the job's current one.
expected_step_statusenumOptional

With expected_step_id, update only while the step has this status.

Request

This endpoint expects a map from strings to any.

Response

Successful Response

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error